This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 753347 - cannot do yum install 389*
cannot do yum install 389*
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
14
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 17:35 EST by pgaltieri
Modified: 2012-01-03 17:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-11 19:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pgaltieri 2011-11-11 17:35:30 EST
Description of problem:
I can successfully remove all 389 packages by doing

yum remove 389*

I cannot install them by doing

yum install 389*

I fails with the following:

Setting up Install Process
Package 389-ds-base-libs-1.2.9.10-3.fc14.i686 already installed and latest version
Package 389-ds-base-1.2.9.10-3.fc14.i686 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package 389-admin.i686 0:1.1.23-1.fc14 set to be installed
---> Package 389-admin-console.noarch 0:1.1.8-1.fc14 set to be installed
---> Package 389-admin-console-doc.noarch 0:1.1.8-1.fc14 set to be installed
---> Package 389-adminutil.i686 0:1.1.14-1.fc14 set to be installed
---> Package 389-adminutil-devel.i686 0:1.1.14-1.fc14 set to be installed
--> Processing Dependency: libicu-devel for package: 389-adminutil-devel-1.1.14-1.fc14.i686
---> Package 389-console.noarch 0:1.1.7-1.fc14 set to be installed
---> Package 389-ds.noarch 0:1.2.2-1.fc14 set to be installed
---> Package 389-ds-base-devel.i686 0:1.2.9.10-3.fc14 set to be installed
--> Processing Dependency: svrcore-devel for package: 389-ds-base-devel-1.2.9.10-3.fc14.i686
---> Package 389-ds-base-selinux-devel.i686 0:1.2.6.1-2.fc14 set to be installed
--> Processing Dependency: 389-ds-base = 1.2.6.1-2.fc14 for package: 389-ds-base-selinux-devel-1.2.6.1-2.fc14.i686
---> Package 389-ds-console.noarch 0:1.2.6-1.fc14 set to be installed
---> Package 389-ds-console-doc.noarch 0:1.2.6-1.fc14 set to be installed
---> Package 389-dsgw.i686 0:1.1.7-2.fc14 set to be installed
--> Running transaction check
---> Package 389-ds-base-selinux-devel.i686 0:1.2.6.1-2.fc14 set to be installed
--> Processing Dependency: 389-ds-base = 1.2.6.1-2.fc14 for package: 389-ds-base-selinux-devel-1.2.6.1-2.fc14.i686
---> Package libicu-devel.i686 0:4.4.1-6.fc14 set to be installed
---> Package svrcore-devel.i686 0:4.0.4-5.fc12 set to be installed
--> Finished Dependency Resolution
Error: Package: 389-ds-base-selinux-devel-1.2.6.1-2.fc14.i686 (fedora)
           Requires: 389-ds-base = 1.2.6.1-2.fc14
           Installed: 389-ds-base-1.2.9.10-3.fc14.i686 (@updates)
               389-ds-base = 1.2.9.10-3.fc14
           Available: 389-ds-base-1.2.6.1-2.fc14.i686 (fedora)
               389-ds-base = 1.2.6.1-2.fc14
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Version-Release number of selected component (if applicable):

389-ds-base.i686                             1.2.9.10-3.fc14
389-ds-base-selinux-devel.i686               1.2.6.1-2.fc14

How reproducible:
Happens every time.

Steps to Reproduce:
1. yum remove 389*
2. yum install 389*
3.
  
Actual results:
--> Finished Dependency Resolution
Error: Package: 389-ds-base-selinux-devel-1.2.6.1-2.fc14.i686 (fedora)
           Requires: 389-ds-base = 1.2.6.1-2.fc14
           Installed: 389-ds-base-1.2.9.10-3.fc14.i686 (@updates)
               389-ds-base = 1.2.9.10-3.fc14
           Available: 389-ds-base-1.2.6.1-2.fc14.i686 (fedora)
               389-ds-base = 1.2.6.1-2.fc14
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:
All packages getting installed without errors.

Additional info:
Comment 1 Rich Megginson 2011-11-11 19:12:45 EST
The package 389-ds-base-selinux-devel is obsolete - we should have removed it when the selinux policy was merged into the base OS.  I don't think we are going to fix this by removing the package from the repositories, since F14 will be EOL soon, and the workaround is easy - don't do
yum install 389*
do
yum install 389-ds

Note You need to log in before you can comment on or make changes to this bug.